#include <stdio.h>

/*
 * Auf diese Weise laesst sich das Programm
 * in jedem Fall compilieren. Ist das Makro DBG
 * (auf der Kommandozeile) definiert, so wird
 * DEBUG(x) durch x ersetzt und ansonsten durch
 * den leeren String.
 */

#ifdef DBG
    #define DEBUG(x) x
#else
    #define DEBUG(x)
#endif

int main() {
    DEBUG(puts("Start");)
    puts("... ich arbeite ...");
    DEBUG(puts("Ende");)
    return 0;
}
