#include <stdio.h>
#include "datum.h"

/*-- PRIVAT (nur zur Implementierung) ----------*/

static const int c1 = 4;
static const int c2 = 100;
static const int c3 = 400;

static int teilt(int b, int a) { /* teilt b die Zahl a? */
    return a % b == 0;
}

/*-- OEFFENTLICH -------------------------------*/

/*** Variablen (Definitionen) ***/
Datum heute = {24, 12, 2003};	/* sehr simplifiziert */

/*** Funktionen (Definitionen) ***/
void print(Datum d) {
    printf("%d.%d.%d\n", d.tag, d.monat, d.jahr);
}

int istSchaltjahr(short jahr) {
    return teilt(c1, jahr) && (!teilt(c2, jahr) || teilt(c3, jahr));
}
