#include <stdio.h>

/*
 * Compiliert man das Programm einfach so mit
 * "gcc debug.c", so gibt es Compilerfehler - klar,
 * denn der mein, dass DEBUG() eine Funktion ist und
 * auch dann noch die Strichpunkte fehlen.
 * Deshalb muss man zunaechst das Makro DEBUG auf der
 * Kommandozeile definieren, also
 * "gcc -D'DEBUG(x)=x' debug.c" (oder mit leerem Ersatztext).
 */

int main() {
    DEBUG(puts("Start");)
    puts("... ich arbeite ...");
    DEBUG(puts("Ende");)
    return 0;
}
